Page MenuHomePhabricator

When creating a new page, suggest doing a translation instead
Closed, DuplicatePublic

Description

When the user is about to create a new article from scratch, the user may be interested in knowing whether the article can be created as a translation. We can provide such option to make the process faster.

Suggesting to translate

The basic idea is illustrated in this mockup:

  1. Tell the user that the article the user is trying to create already exists in a different language and it is possible to translate it.
  2. Show the popover menu only when there is a certain confidence level that the suggested article is relevant. In other cases, do not open the popover.

Figuring out which article is the user trying to create is not easy (more on this later). While a mechanism for doing so is not implemented, we can show a generic message just to announce the feature as an alternative to creating articles:


This should be only a temporary measure, since it may generate unmet expectations.

Figuring out which article the user is creating

The main challenge is to figure out which article is the using trying to create (to be able to find t in other languages). There are some possible strategies to figure that out:

  • If the user landed in the new article page through redlinks that were generated by CX, a Wikidata Q-ID annotation can be added (as part of CX) to indicate which concept they are referring to. This will be only useful for red links on articles that were created with CX.
  • For other cases, a search through Wikidata descriptions based on the title of the new page can be useful to identify some candidate articles. This will be only useful for articles that are missing in Wikipedia but have translated labels on Wikidata.

Event Timeline

Pginer-WMF raised the priority of this task from to Low.
Pginer-WMF updated the task description. (Show Details)
Pginer-WMF added subscribers: Amire80, Arrbee, santhosh and 3 others.
Amire80 set Security to None.
Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Feb 9 2015, 9:54 AM
Amire80 moved this task from Backlog to Candidates on the LE-Sprint-83 board.
Arrbee moved this task from Candidates to Backlog on the LE-Sprint-83 board.Feb 25 2015, 3:39 PM
Arrbee raised the priority of this task from Low to Normal.Mar 10 2015, 9:45 AM
Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.
santhosh edited a custom field.Mar 11 2015, 7:25 AM
Arrbee assigned this task to Pginer-WMF.Mar 11 2015, 9:08 AM
Arrbee moved this task from Backlog to discussing on the LE-Sprint-84 board.
Arrbee moved this task from discussing to In Progress on the LE-Sprint-84 board.
Amire80 raised the priority of this task from Normal to High.Mar 18 2015, 8:59 AM
Pginer-WMF added a comment.EditedMar 31 2015, 9:44 AM

I illustrated a possible solution in two prototypes (try searching for "pink parrot" and creating a new article):

  • Suggest to translate in general to be used when we don't have the capability to figure out if the article the user tries to create exists in another language.
  • Suggest to translate a specific article.: when we are able to find an article that is likely the one the user is trying to create. In this case, if we found no article candidate, nothing should be shown o the user.

Mockups:

Pginer-WMF edited a custom field.
Pginer-WMF edited a custom field.Apr 1 2015, 9:36 AM

After some iterations by @Nirzar and some adjustments I made on top of those, I think we have final version:

  • General suggestion (we have no means to figure out if an article exists in other languages):

  • Specific suggestion (we are able to identify a possible match):

I'll add the mockups to the ticket description to reflect the latest status.

Pginer-WMF updated the task description. (Show Details)Apr 2 2015, 10:39 AM
Pginer-WMF removed Pginer-WMF as the assignee of this task.Apr 9 2015, 7:02 AM
Arrbee assigned this task to Amire80.Apr 10 2015, 7:12 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-85 board.

@Pginer-WMF, Can't we show this CTA only when we have some confidence score to show suggestion and leave all other cases? Does not look a thing to show "always" in a new article page to me

@santhosh that is the idea of the design.
I just included an alternative in the case we don't have a way to have such confidence score and we still want to support this. What I think it should be properly discussed and evaluated before proceeding that way.

If we consider that having such score is a must for the task, I can remove any info on alternatives to avoid any confusion.

Change 203618 had a related patch set uploaded (by Amire80):
Show an invitation to translate an article instead of creating

https://gerrit.wikimedia.org/r/203618

Amire80 moved this task from In Progress to In Review on the LE-Sprint-85 board.Apr 13 2015, 7:05 AM
Arrbee moved this task from Long term to CX5 on the ContentTranslation board.Apr 20 2015, 6:05 AM

Hi, new here—might be something basic I don't understand :-)

I'm trying to grasp why you want this CTA to be fixed to the Contributions menu instead of just putting it into the newarticletext box together with the rest of the initial guidelines to the user. Without fully understanding the vision (yet) for content translation, I would have thought that CTA should be immediately visible on e.g.

https://en.wikipedia.org/w/index.php?title=Cobalt_parrot&action=edit&redlink=1

...and not only via click/hover/touch on Contributions. Maybe both is being worked on and this is just an additional way to prompt the user to translate instead of creating?

Change 203618 merged by jenkins-bot:
Show an invitation to translate an article instead of creating

https://gerrit.wikimedia.org/r/203618

@rasmusskjoldan thanks for your comments, here is some additional details:

One of the problems we identified in our tests is that when users enabled the beta feature, it was not clear where to find the main entry point to start or continue with translations. So we want to establish contributions as the entry point where users go to create new contributions such as translations (in addition to checking what they did as it currently supports).

For the particular case of this entry point, we tested two initial prototypes (on both you need to try to search for "empanadas" and create the page if it does not exist): one adding a banner above the content, and the other using a modal.

We found issues in both, the first one pushed the text area down which is the main element to edit. Existing templates also contributed to that but those are controlled by the community and we cannot do much more than trying to avoid making instruction heavier.
The modal version was perceived as more clear but it felt too blocking. It was hard to evaluate what to do if you cannot view all the information (and after closing the modal it was hard to revert your decision and figure out how to start a translation).

As a result we decided to use a flyout similar to what we used to invite users to try the beta feature in T89701. The goal in this case was to suggest you to translate the specific article you were about to create. If we achieve that (or a good enough guess) the plan is to show the popover immediately visible to invite the user to translate the article instead of starting from scratch.
If we are not able to figure out which article the user is trying to create, inviting to translate can result in unmet expectations (e.g., the article not available in a language the user can translate from) and I'm concerned in showing it immediately visible every single time (showing it once as we do for T89701 can be acceptable).

Change 210667 had a related patch set uploaded (by Amire80):
Show an invitation to translate a new article in VE, too

https://gerrit.wikimedia.org/r/210667

Change 210667 merged by jenkins-bot:
Show an invitation to translate a new article in VE, too

https://gerrit.wikimedia.org/r/210667

Arrbee lowered the priority of this task from High to Normal.May 25 2015, 8:55 AM

Second part of the story is to be done later.

Amire80 removed Amire80 as the assignee of this task.Jun 14 2015, 8:56 PM
Amire80 edited a custom field.
Ricordisamoa added a subscriber: Ricordisamoa.
Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:33 PM
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 7:52 PM
Nemo_bis removed a subscriber: Nemo_bis.Jan 18 2016, 2:30 PM
Arrbee moved this task from Bugs to Enhancements on the ContentTranslation board.Jun 22 2018, 1:29 PM
Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptMon, Jun 24, 2:18 PM